Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IConfiguredSiteChangedListener

public interface IConfiguredSiteChangedListener

Configuration change listener. *

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` | `featureConfigured(IFeature feature)` Indicates the specified feature was configured.
`void` | `featureInstalled(IFeature feature)` Indicates the specified feature was installed.
`void` | `featureRemoved(IFeature feature)` Indicates the specified feature was removed (uninstalled)
`void` | `featureUnconfigured(IFeature feature)` Indicates the specified feature was unconfigured.

Method Detail

### featureInstalled

    public void featureInstalled(IFeature feature)

  Indicates the specified feature was installed.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureRemoved

    public void featureRemoved(IFeature feature)

  Indicates the specified feature was removed (uninstalled)

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureConfigured

    public void featureConfigured(IFeature feature)

  Indicates the specified feature was configured.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureUnconfigured

    public void featureUnconfigured(IFeature feature)

  Indicates the specified feature was unconfigured.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.